apiVersion: apiextensions.k8s.io/v1beta1
kind: CustomResourceDefinition
metadata:
  name: kukupersistentvolumes.kumori.systems
spec:
  group: kumori.systems
  versions:
    - name: v1
      served: true
      storage: true
  scope: Namespaced
  names:
    plural: kukupersistentvolumes
    singular: kukupersistentvolume
    kind: KukuPersistentVolume
    shortNames:
    - kpv
    categories:
    - kumori
    - all
  validation:
    openAPIV3Schema:
      properties:
        spec:
          required: ["size"]
          properties:
            fileSystem:
              type: string
              pattern: '^xfs|ext4$'
            size:
              type: string
              pattern: '^([0-9])*(Ki|Mi|Gi|Ti|Pi|Ei|k|M|G|T|P|E)$'
            mountPoint:
              type: string
